﻿

<h3 class="mb-4">Please fill the form below</h3>
@using (Html.BeginForm())
{

    <dl class="row">
        <dt class="col-sm-5">What's your favorite color?</dt>
        <dd class="col-sm-7">
            @Html.DropDownList("Colors", new SelectList(ViewBag.Colors))
        </dd>
        <dd class="mb-2"></dd>

        <dt class="col-sm-5">Your sex?</dt>
        <dd class="col-sm-7">
            @Html.RadioButton("Sex", "Male")
            <span>Male</span><br />
            @Html.RadioButton("Sex", "Female")
            <span>Female</span><br />
            @Html.RadioButton("Sex", "Non-ninary")
            <span>Non-binary person</span><br/>
        </dd>

        <dt class="col-sm-5">
            Who is superfluous on the list?
            @ListHelper.CreateList(ViewBag.Characters)
        </dt>
        <dd class="col-sm-7">
            <label class="mb-1">Enter your answer</label><br/>
            @Html.TextBox("SuperFluous")
        </dd>

        <dt class="col-sm-5">Select odd numbers</dt>
        <dd class="col-sm-7">
            @Html.CheckBox("One", false)
            <span>1</span>
            @Html.CheckBox("Two", false)
            <span>2</span>
            @Html.CheckBox("Three", false)
            <span>3</span>
        </dd>


        <dt class="col-sm-5"></dt>
        <dd class="col-sm-7">

            <input type="submit" class="btn btn-primary" value="Submit" />

        </dd>



    </dl>
    
}


